<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
</script>

<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{members.mytickets}">Mis Entradas</h3>
    </div>
</div>
<div class="clearfix"></div>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <div class="clearfix"></div>
            </div>

            <div class="x_content">
                <div class="row">
                    <div class="col-md-4 col-sm-4 col-xs-12 profile_details" th:each="item : ${purchases}">
                        
                        <img class="ribbon" src="/img/agotado.png" style="position: absolute;top: 0;right: 28px;" width="100px" th:if="${item.event.soldOut}"/>
                        
                        <div class="well profile_view">
                            <div class="col-sm-12">
                                <!--<h6 class="brief">
                                    <small class="blue">Fecha compra:</small>
                                    <strong class="text-muted" th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></strong>
                                </h6>-->
                                <div class="left col-xs-7">
                                    <h3 th:text="${item.product.name}">Name</h3>
                                    <p th:text="${item.event.name}">Event name</p>
                                    <ul class="list-unstyled">
                                        <li>
                                            <i class="fa fa-map-marker"></i>&nbsp;<span th:text="#{place}">Lugar:</span>&nbsp; 
                                            <span th:text="${item.event.place != null ? item.event.place : ''}"></span>                                        
                                        </li>
                                        <li><i class="fa fa-calendar"></i>&nbsp;<span th:text="#{date} + ':'">Fecha:</span>&nbsp; 
                                            <span th:text="${item.event.date != null ? item.event.date : ''}"></span>
                                            <span th:text="${item.event.hour != null ? item.event.hour : ''}"></span>
                                        </li>
                                        <li><i class="fa fa-ticket"></i>&nbsp;<span th:text="#{numberOfTickets}">Cantidad de entradas:</span>&nbsp;<strong th:text="${item.product.quantity}"></strong></li>
                                    </ul>
                                </div>
                                <div class="right col-xs-5 text-center">
                                    <img th:src="'open/event/' + ${item.event.image}" width="150" height="150" onerror="this.src='/img/no_logo.png'" class="img-circle"/>
                                </div>
                            </div>
                            <div class="col-xs-12">

                                <div th:if="${item.processor != 'gift'}">
                                    <div th:switch="${item.status}">
                                        <span th:case="paid">
                                            <span class="label label-success" th:text="#{${item.status}}"></span>&nbsp;
                                            <small class="text-muted" th:if="${item.paymentDate != null}">
                                                <span th:text="#{paidDay}">Pagado el dia</span>
                                                <span th:text="${#dates.format(item.paymentDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.paymentDate, 'dd/MM/yyyy HH:mm:ss')}"></span>
                                                via
                                                <span th:text="#{${item.processor}}"></span>
                                            </small>
                                        </span>
                                        <span th:case="pending" class="label label-danger" th:text="#{${item.status}}"></span>
                                    </div>                                    
                                </div>
                                <div th:if="${item.processor == 'gift'}">
                                    <span class="label label-info"><i class="fa fa-gift"></i>&nbsp;&nbsp;<span th:text="#{gift}">  Regalo</span></span>                                    
                                </div>                                
                                <br/>
                            </div>
                            <div class="col-xs-12 bottom text-center">
                                <div class="col-xs-12 col-sm-3">
                                    <strong class="blue" th:text="${item.getAmountPaidText()}" ></strong>
                                </div>
                                <div class="col-xs-12 col-sm-9 emphasis">                                    
                                    <div th:switch="${item.status}">
                                        <div th:case="paid">
                                            <a class="btn btn-primary btn-xs" href="/#members/events/invites">
                                                <i class="fa fa-users"></i>&nbsp;&nbsp;<span th:text="#{invite}">  Invitar</span>
                                            </a>                                                
                                        </div>

                                        <div th:case="*" th:if="${!item.event.soldOut}">
                                            <a class="btn btn-success btn-xs" th:href="'members/pay/' + ${item.order.id}">
                                                <i class="fa fa-bank"></i>&nbsp;&nbsp;<span th:text="#{pay}">  Pagar</span>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>            
        </div>
        <!--<div th:replace="frags/pagination :: paginationbar"></div>-->
    </div>
</div>



